Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgProducer::OsgSceneHandler Class Reference

List of all members.

## Public Member Functions
| OsgSceneHandler (osg::DisplaySettings *ds=NULL)
void | setSceneView (osgUtil::SceneView *sceneView)
| set the scene view to which will manage rendering of the OSG scene.
osgUtil::SceneView * | getSceneView ()
| get the scene view.
const osgUtil::SceneView * | getSceneView () const
| get the const scene view.
virtual void | init ()
| override the init method to force it be run one at a time.
virtual void | clear (Producer::Camera &camera)
virtual void | clearImplementation (Producer::Camera &camera)
void | setClearCallback (Callback *callback)
Callback * | getClearCallback ()
const Callback * | getClearCallback () const
virtual void | cull (Producer::Camera &camera)
virtual void | cullImplementation (Producer::Camera &camera)
void | setCullCallback (Callback *callback)
Callback * | getCullCallback ()
const Callback * | getCullCallback () const
virtual void | draw (Producer::Camera &camera)
virtual void | drawImplementation (Producer::Camera &camera)
void | setDrawCallback (Callback *callback)
Callback * | getDrawCallback ()
const Callback * | getDrawCallback () const
void | setContextID (int id)
void | setFlushOfAllDeletedGLObjectsOnNextFrame (bool flag)
bool | getFlushOfAllDeletedGLObjectsOnNextFrame () const
void | setCleanUpOnNextFrame (bool flag)
bool | getCleanUpOnNextFrame () const
## Protected Member Functions
virtual | ~OsgSceneHandler ()
## Protected Attributes
osg::ref_ptr< osgUtil::SceneView > | _sceneView
osg::ref_ptr< Callback > | _clearCallback
osg::ref_ptr< Callback > | _cullCallback
osg::ref_ptr< Callback > | _drawCallback
osg::Timer_t | _frameStartTick
osg::Timer_t | _previousFrameStartTick
bool | _flushOfAllDeletedGLObjectsOnNextFrame
bool | _cleanUpOnNextFrame

## Constructor & Destructor Documentation

osgProducer::OsgSceneHandler::OsgSceneHandler | ( | osg::DisplaySettings * | ds = NULL | ) |

virtual osgProducer::OsgSceneHandler::~OsgSceneHandler | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual void osgProducer::OsgSceneHandler::clear | ( | Producer::Camera & | camera | ) | `[inline, virtual]`

virtual void osgProducer::OsgSceneHandler::clearImplementation | ( | Producer::Camera & | camera | ) | `[virtual]`

virtual void osgProducer::OsgSceneHandler::cull | ( | Producer::Camera & | camera | ) | `[inline, virtual]`

virtual void osgProducer::OsgSceneHandler::cullImplementation | ( | Producer::Camera & | camera | ) | `[virtual]`

virtual void osgProducer::OsgSceneHandler::draw | ( | Producer::Camera & | camera | ) | `[inline, virtual]`

virtual void osgProducer::OsgSceneHandler::drawImplementation | ( | Producer::Camera & | camera | ) | `[virtual]`

bool osgProducer::OsgSceneHandler::getCleanUpOnNextFrame | ( |  | ) | const`[inline]`

const Callback* osgProducer::OsgSceneHandler::getClearCallback | ( |  | ) | const`[inline]`

Callback* osgProducer::OsgSceneHandler::getClearCallback | ( |  | ) | `[inline]`

const Callback* osgProducer::OsgSceneHandler::getCullCallback | ( |  | ) | const`[inline]`

Callback* osgProducer::OsgSceneHandler::getCullCallback | ( |  | ) | `[inline]`

const Callback* osgProducer::OsgSceneHandler::getDrawCallback | ( |  | ) | const`[inline]`

Callback* osgProducer::OsgSceneHandler::getDrawCallback | ( |  | ) | `[inline]`

bool osgProducer::OsgSceneHandler::getFlushOfAllDeletedGLObjectsOnNextFrame | ( |  | ) | const`[inline]`

const osgUtil::SceneView* osgProducer::OsgSceneHandler::getSceneView | ( |  | ) | const`[inline]`

| get the const scene view.

osgUtil::SceneView* osgProducer::OsgSceneHandler::getSceneView | ( |  | ) | `[inline]`

| get the scene view.

virtual void osgProducer::OsgSceneHandler::init | ( |  | ) | `[virtual]`

| override the init method to force it be run one at a time.

void osgProducer::OsgSceneHandler::setCleanUpOnNextFrame | ( | bool | flag | ) | `[inline]`

void osgProducer::OsgSceneHandler::setClearCallback | ( | Callback * | callback | ) | `[inline]`

void osgProducer::OsgSceneHandler::setContextID | ( | int | id | ) |

void osgProducer::OsgSceneHandler::setCullCallback | ( | Callback * | callback | ) | `[inline]`

void osgProducer::OsgSceneHandler::setDrawCallback | ( | Callback * | callback | ) | `[inline]`

void osgProducer::OsgSceneHandler::setFlushOfAllDeletedGLObjectsOnNextFrame | ( | bool | flag | ) | `[inline]`

void osgProducer::OsgSceneHandler::setSceneView | ( | osgUtil::SceneView * | sceneView | ) | `[inline]`

| set the scene view to which will manage rendering of the OSG scene.

## Member Data Documentation

bool osgProducer::OsgSceneHandler::_cleanUpOnNextFrame`[protected]`

osg::ref_ptr<Callback> osgProducer::OsgSceneHandler::_clearCallback`[protected]`

osg::ref_ptr<Callback> osgProducer::OsgSceneHandler::_cullCallback`[protected]`

osg::ref_ptr<Callback> osgProducer::OsgSceneHandler::_drawCallback`[protected]`

bool osgProducer::OsgSceneHandler::_flushOfAllDeletedGLObjectsOnNextFrame`[protected]`

osg::Timer_t osgProducer::OsgSceneHandler::_frameStartTick`[protected]`

osg::Timer_t osgProducer::OsgSceneHandler::_previousFrameStartTick`[protected]`

osg::ref_ptr<osgUtil::SceneView> osgProducer::OsgSceneHandler::_sceneView`[protected]`

The documentation for this class was generated from the following file:

- OsgSceneHandler